# $Revision: 1.21 $, $Date: 2009/10/08 15:42:15 $
Summary:	xmag application to magnify parts of the screem
Summary(pl.UTF-8):	Aplikacja xmag powiększająca kawałki ekranu
Name:		xorg-app-xmag
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xmag-%{version}.tar.bz2
# Source0-md5:	32f7ed4c089365cadb9382f6fbd750a9
Source1:	xmag.desktop
Source2:	xmag.png
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.2
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xmag program allows you to magnify portions of an X screen.

%description -l pl.UTF-8
Aplikacja xmag pozwala powiększać części ekranu X.

%prep
%setup -q -n xmag-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xmag.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xmag.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/xmag
%{_datadir}/X11/app-defaults/Xmag
%{_desktopdir}/xmag.desktop
%{_pixmapsdir}/xmag.png
%{_mandir}/man1/xmag.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xmag.spec,v $
Revision 1.21  2009/10/08 15:42:15  qboosh
- updated util-macros version

Revision 1.20  2009/08/13 19:56:52  arekm
- up to 1.0.3

Revision 1.19  2008/11/11 16:17:50  arekm
- rel 4; fix build

Revision 1.18  2008/11/09 11:12:55  arekm
- rel 4; don't rebuild am/ac until rebuilt tarball available

Revision 1.17  2008/11/07 20:51:38  arekm
- release 2

Revision 1.16  2007/08/21 21:16:39  qboosh
- informative descs

Revision 1.15  2007/08/16 05:56:49  arekm
- up to 1.0.2

Revision 1.14  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/10/15 20:40:13  qboosh
- use individual dir, more verbose files, release 1

Revision 1.11  2006/02/07 13:59:38  qboosh
- merged xmag.{desktop,png} from monolith

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 15:35:03  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/13 15:43:29  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 13:32:54  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 14:42:55  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xmag-man.patch
- added BR: libXaw-devel
- release 0.02

* Mon Aug  8 2005 11:57:10  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
